Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18544

Description

Hi !

When serving WMS maps, it seems QGIS servers caches the layers using their id, but with no regard to the project file.

Example :

myproject_1.qgs and myproject_2.gs both have a layer called mylayer with id mylayer20140515221023333 (this can easily happen if the

project was duplicated for instance)

http://server/wms/myproject_1?LAYERS=mylayer&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=

0,10,20,20

Displays mylayer as in myproject_1.

http://server/wms/myproject_2?LAYERS=mylayer&#38;SERVICE=WMS&#38;VERSION=1.1.1&#38;REQUEST=GetMap&#38;BBOX=

0,10,20,20

Displays mylayer as in myproject_1 instead of mylayer as in myproject_2 !!

At this point, the only way I found to display mylayer from myproject_2 is to restart the server, which makes it then in turn impossible to

display mylayer from myproject1...

Thanks !!

Olivier

Related issues:

Duplicates QGIS Application - Bug report # 7956: QGIS Server: problem with tw... Closed 2013-05-31

History

#1 - 2014-04-15 03:08 AM - Giovanni Manghi

Unfortunately this is a well known issue, and there should be already a patch/pull request available.

One obvious solution would be to add a prefix like "projectname_" at the beginning of the actual layerid.

Please raise this issue in the dev mailing list, as it affects many (me included) I will underline too that a action must be taken.

#2 - 2014-09-09 11:56 PM - Alessandro Pasotti

- Priority changed from Normal to High
It seems it's still an issue in master. Can you confirm that?

#3 - 2015-09-15 07:00 AM - René-Luc ReLuc

Updated in 2.8 version ?

#4 - 2016-05-06 06:57 AM - Nicolas Boisteault

Problem still occurs in 2.14.2.

#5 - 2017-03-06 02:34 PM - Giovanni Manghi

- Affected QGIS version changed from 2.2.0 to 2.14.2

- Status changed from Open to Feedback

Still an issue in 2.18.4?

#6 - 2017-03-07 03:21 AM - Giovanni Manghi

- Priority changed from High to Normal

#7 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2017-05-26 05:17 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Description updated

#9 - 2018-08-16 10:40 AM - Giovanni Manghi

- Status changed from Open to Closed

Closing for lack of feedback.
